Summary: A linux netlink firewall monitor
Name: fwmon
Version: 1.1.0
Release: 1
License: GPL
Group: System Environment/Daemons
Source: http://www.scaramanga.co.uk/fwmon/fwmon-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Url: http://www.scaramanga.co.uk/fwmon/
ExclusiveOS: Linux

%description
This program allows you to monitor ipchains/iptables output in realtime.
It  supports both logging to a file/stdout and/or to tcpdump format
capture logs. It also supports security features such as running
non-root, and chrooting itself.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
make

%install
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/logrotate.d
mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man8/
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
install --strip -m 755 fwmon	$RPM_BUILD_ROOT%_sbindir/fwmon
install -m 750 rc.fwmon		$RPM_BUILD_ROOT/etc/init.d/fwmon
install -m 644 fwmon.8		$RPM_BUILD_ROOT%_mandir/man8/fwmon.8
install -m 644 logrotate.fwmon	$RPM_BUILD_ROOT%_sysconfdir/logrotate.d/fwmon

%post

# Add the fwmon user
adduser -d /var/log/fwmon -s /bin/false -M fwmon 2>/dev/null || true

# Add the fwmon directory if it isnt already there
if [ ! -d /var/log/fwmon ]; then
	mkdir /var/log/fwmon
	chown fwmon.fwmon /var/log/fwmon
	chmod 700 /var/log/fwmon
fi

chkconfig --level 345 fwmon on

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root)
%config(noreplace) %_sysconfdir/logrotate.d/fwmon

%defattr(0755,root,root)
%_sbindir/fwmon
/etc/init.d/fwmon

%defattr(644,root,root,755)
%doc README README.2nd README.chroot COPYING ChangeLog
%doc initdb.sql
%doc %_mandir/man8/*
